POST
/affiliate_seller/202412/conversatons/read
Mark the messages in the specified conversations to be read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
conversation_ids
required
The array of conversations to read.
After the API is called, all the messages in the specified conversations will be read, and the read timestamp is set to the time when the API is called.
The length of the array must not exceed 20.
Array<string>
Examplegenerated
{ "conversation_ids": [ "example" ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
failed_conversation_ids
The conversation IDs that could not be marked as read. Retry the request using only these IDs.
Array<string>
Example
{ "code": 0, "data": { "failed_conversation_ids": [ "123" ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}